services:
    # custom fosuser user manager    
    pugx_user.manager.orm_user_manager:
        class:     PUGX\MultiUserBundle\Doctrine\UserManager
        arguments: ["@fos_user.util.password_updater", "@fos_user.util.canonical_fields_updater", "@fos_user.object_manager", "%fos_user.model.user.class%", "@pugx_user.manager.user_discriminator"]
        
    pugx_user_manager:
        alias: pugx_user.manager.orm_user_manager
